import { jsx as r } from "react/jsx-runtime";
import { classNames as m } from "./index-classNames.js";
import { Icon as l, IconSize as n } from "./index-Icon.js";
import { IconNames as a } from "./index-IconNames.js";
import "react";
import o from "./index-TabsCustomScroll.module.scss.js";
const C = (e) => {
  const {
    direction: i,
    onClick: s,
    disabled: t,
    testId: c
  } = e;
  return r("div", {
    onClick: t ? void 0 : s,
    className: m(o.customScrollButtonWrapper, i === "right" ? o.right : o.left, t && o.hidden),
    "data-testid": c,
    children: r(l, {
      color: "var(--n400)",
      type: n.small,
      children: a.caretLeft
    })
  });
};
export {
  C as TabsCustomScroll
};
